@import 'theme';

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100vh;
  max-height: 100vh;
  min-height: 100vh;
  -webkit-tap-highlight-color: transparent;
}

html {
  scroll-behavior: smooth;
  overflow-y: auto;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu',
    'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
  font-size: $font-M;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5;
  background-attachment: fixed;
  background-color: transparentize(darken($bg, 3%), 0.05);
  background-position: center center;
  background-size: cover;
}

code {
  display: inline-block;
  padding: ($space / 8) ($space / 2);
  border-radius: $radius;
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
  background-color: darken($bg, 5%);
}

hr {
  display: block;
  height: $border;
  width: 100%;
  border: 0;
  border-radius: 50%;
  outline: 0;
  background: lighten($fg, 91%) linear-gradient(to bottom, lighten($fg, 84%), lighten($fg, 95%));
}

h1,
h2,
h3,
h4,
h5,
h6 {
  display: block;
  padding: 0;
  font-weight: 700;
}
h1,
h2,
h3 {
  margin: 0 0 $space / 2;
}
h4,
h5,
h6 {
  margin: 0 0 $space / 4;
}

pre {
  margin: 0;
  padding: 0;
  font: inherit;
  overflow-x: auto;
  white-space: pre-wrap;
  word-wrap: break-word;
}
